Set connection metadata
Requires an API key with the environment:connections:update scope. Learn more about API key scopes.
Set connection metadata
Tenklo uses the request body as the new metadata (it must be a JSON object). Note that this overrides any existing metadata. The connection_id must be passed in the body as well. Note that the connection_id can be a single string or an array of strings.
Fetching connection metadata
To read the existing metadata of a connection, simply fetch the connection. Your custom metadata is included as part of the returned connection object.
Set custom metadata for the connection or connections. If updating multiple connections pass in an array of connection ids instead of a string.
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
connection_id*|array<string>provider_config_key*stringThe integration ID used to create the connection (aka Unique Key).
metadata*Successfully set the metadata for the connections
application/json- response
connection_id?|array<string>provider_config_key?stringThe integration ID used to create the connection (aka Unique Key).
metadata?curl -X POST 'https://api.tenklo.dev/connections/metadata' \ -H 'Content-Type: application/json' \ -d '{ "connection_id": "string", "provider_config_key": "string", "metadata": {}}'{ "connection_id": "string", "provider_config_key": "string", "metadata": {}}